Skip to content

Virtual Machines

All operations require authentication.

7 operationsv1/dedicatedCloud/{serviceName}
View as Markdown (opens in a new tab)
Agent setup

List virtual machinesProduction

GET
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Response

200integer[]successful operation

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a virtual machineProduction

GET
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}

Get a virtual machine. Returns the virtual machine: power state, host, cluster, CPU, memory, disk and network usage, backup and license.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

vmId
required
integer

Id of the virtual machine.

Response

200Vmsuccessful operation
backup
read-only
Backup

Backup associated to this Virtual Machine

cdroms
read-only
virtualMachineCdrom[]

Virtual machine cdroms devices

clusterName
read-only
string

Cluster of the virtual machine.

cpuMax
read-only
number

Maximum CPU performance, in MHz.

cpuNum
read-only
integer

Number of processors in the virtual machine.

cpuReady
read-only
number

Time that the virtual machine was ready, but could not get scheduled to run on the physical CPU. In millisecond

cpuReadyPercent
read-only
number

Percentage of time that the virtual machine was ready, but could not get scheduled to run on the physical CPU. In percent

cpuUsed
read-only
integer

Current CPU performance, in MHz.

filers
read-only
vmFiler[]

List of filers in use by the virtual machine.

folderName
read-only
string

Folder of the virtual machine.

guestOsFamily
read-only
string

VMware guest configured OS family

hostName
read-only
string

Name of the host hosting the virtual machine.

license
read-only
KmsLicenseIncludingLegacyEnum

Registered managed license

ValuesOVHcloud managedunknown or unsupported licenseunlicensed windows guestoswindows 2008 R2 Datacenterwindows 2008 R2 Enterprisewindows 2008 R2 Standardwindows 2008 R2 Webwindows 2012 Datacenterwindows 2012 R2 Datacenterwindows 2012 R2 Standardwindows 2012 R2 Standard SQL2016 Standardwindows 2012 R2 Standard SQL2016 Webwindows 2012 Standardwindows 2016 Datacenterwindows 2016 Standardwindows 2016 Standard SQL2016 Standardwindows 2016 Standard SQL2016 Webwindows 2019 Datacenterwindows 2019 Datacenter Corewindows 2019 Standardwindows 2019 Standard Corewindows 2019 Standard SQL2019 Standardwindows 2019 Standard SQL2019 Webwindows 2019 Standard SQL2022 Standardwindows 2019 Standard SQL2022 Webwindows 2022 Datacenterwindows 2022 Datacenter Corewindows 2022 Datacenter SQL2019 Standardwindows 2022 Datacenter SQL2019 Webwindows 2022 Datacenter SQL2022 Standardwindows 2022 Datacenter SQL2022 Webwindows 2022 Standardwindows 2022 Standard Corewindows 2022 Standard SQL2019 Standardwindows 2022 Standard SQL2019 Webwindows 2022 Standard SQL2022 Standardwindows 2022 Standard SQL2022 Webwindows 2025 Datacenterwindows 2025 Datacenter Corewindows 2025 Datacenter SQL2022 Enterprisewindows 2025 Datacenter SQL2022 Standardwindows 2025 Datacenter SQL2022 Webwindows 2025 Standardwindows 2025 Standard Corewindows 2025 Standard SQL2022 Standardwindows 2025 Standard SQL2022 Web
memoryMax
read-only
integer

Memory size of the virtual machine, in MB

memoryTps
read-only
string

Amount of guest memory that is shared with other virtual machines, in Mb

memoryUsed
read-only
integer

Current memory utilization, in MB

moRef
read-only
string

moRef of the virtual machine.

name
read-only
string

Name of the virtual machine.

netPacketRx
read-only
number

Number of packets received.

netPacketTx
read-only
number

Number of packets transmitted.

netRx
read-only
number

Rate at which data is received. In KB/s

netTx
read-only
number

Rate at which data is transmitted. In KB/s

networks
read-only
vmNetwork[]

List of the networks link to this virtual machine

powerState
read-only
virtualMachinePowerState

Power state of the virtual machine.

ValuesdeletedpoweredOffpoweredOnsuspended
readLatency
read-only
number

Amount of time for a read operation from the virtual disk. In millisecond

readPerSecond
read-only
number

Number of read issued per second to the virtual disk. In millisecond

readRate
read-only
number

Rate of reading data from the virtual disk. In KB/s

roleFt
read-only
string

The index of the current VM in instanceUuids array starting from 1, so 1 means that it is the primary VM.

snapshotNum
read-only
integer

Number of snapshot of the virtual machine.

stateFt
read-only
virtualMachineFaultToleranceState

The fault tolerance state of the virtual machine.

ValuesdisabledenabledneedSecondarynotConfiguredrunningstarting
vmId
read-only
integer

Id of the virtual machine.

vmwareTools
read-only
string

Current version status of VMware Tools in the guest operating system.

vmwareToolsVersion
read-only
string

Current version of VMware Tools

writeLatency
read-only
number

Amount of time for a write operation from the virtual disk. In millisecond

writePerSecond
read-only
number

Number of write issued per second to the virtual disk. In millisecond

writeRate
read-only
number

Rate of writing data from the virtual disk. In KB/s

Example uses datacenterId = 0, serviceName = string, vmId = 0

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "backup": { "allocatedDisk": 0, "backupDays": [ "Friday" ], "backupRepositoryId": 0, "encryption": true, "lastCreationTime": "2024-01-01T12:00:00Z", "lastDuration": { "unit": "string", "value": 0 }, "lastResult": "failed", "lastSuccessfulCreationTime": "2024-01-01T12:00:00Z", "lastSuccessfulDuration": { "unit": "string", "value": 0 }, "offerType": "advanced", "restorePoints": [ { "creationTime": "2024-01-01T12:00:00Z", "isCorrupted": true, "restorePointId": 0, "size": { "unit": "string", "value": 0 }, "type": "full" } ], "retentionTime": 0, "state": "deleting" }, "cdroms": [ { "connected": true, "iso": "string" } ], "clusterName": "string", "cpuMax": 0, "cpuNum": 0, "cpuReady": 0, "cpuReadyPercent": 0, "cpuUsed": 0, "filers": [ { "committed": 0, "disks": [ { "capacity": 0, "id": "string" } ], "name": "string" } ], "folderName": "string", "guestOsFamily": "string", "hostName": "string", "license": "OVHcloud managed", "memoryMax": 0, "memoryTps": "string", "memoryUsed": 0, "moRef": "string", "name": "string", "netPacketRx": 0, "netPacketTx": 0, "netRx": 0, "netTx": 0, "networks": [ { "allowGuestControl": true, "backing": { "carpState": "string", "deviceName": "string", "portGroupKey": "string", "portGroupName": "string", "portKey": "string", "portKeySecurityPolicy": { "allowPromiscuous": { "inherited": true, "value": true }, "forgedTransmits": { "inherited": true, "value": true }, "macChanges": { "inherited": true, "value": true } }, "switchUuid": "string", "type": "DVS", "useAutoDetect": true, "valueMoref": "string" }, "connected": true, "controler": "string", "label": "string", "macAddress": "string", "startConnected": true, "status": "ok" } ], "powerState": "deleted", "readLatency": 0, "readPerSecond": 0, "readRate": 0, "roleFt": "string", "snapshotNum": 0, "stateFt": "disabled", "vmId": 0, "vmwareTools": "string", "vmwareToolsVersion": "string", "writeLatency": 0, "writePerSecond": 0, "writeRate": 0}

List licensed VMsProduction

GET
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vmLicensed

List licensed VMs. Returns the virtual machines with a managed license, with their guest OS and license. Filter by license with kmsLicense.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Query parameters

kmsLicense
KmsLicenseIncludingLegacyEnum

Only display virtual machines with this license

ValuesOVHcloud managedunknown or unsupported licenseunlicensed windows guestoswindows 2008 R2 Datacenterwindows 2008 R2 Enterprisewindows 2008 R2 Standardwindows 2008 R2 Webwindows 2012 Datacenterwindows 2012 R2 Datacenterwindows 2012 R2 Standardwindows 2012 R2 Standard SQL2016 Standardwindows 2012 R2 Standard SQL2016 Webwindows 2012 Standardwindows 2016 Datacenterwindows 2016 Standardwindows 2016 Standard SQL2016 Standardwindows 2016 Standard SQL2016 Webwindows 2019 Datacenterwindows 2019 Datacenter Corewindows 2019 Standardwindows 2019 Standard Corewindows 2019 Standard SQL2019 Standardwindows 2019 Standard SQL2019 Webwindows 2019 Standard SQL2022 Standardwindows 2019 Standard SQL2022 Webwindows 2022 Datacenterwindows 2022 Datacenter Corewindows 2022 Datacenter SQL2019 Standardwindows 2022 Datacenter SQL2019 Webwindows 2022 Datacenter SQL2022 Standardwindows 2022 Datacenter SQL2022 Webwindows 2022 Standardwindows 2022 Standard Corewindows 2022 Standard SQL2019 Standardwindows 2022 Standard SQL2019 Webwindows 2022 Standard SQL2022 Standardwindows 2022 Standard SQL2022 Webwindows 2025 Datacenterwindows 2025 Datacenter Corewindows 2025 Datacenter SQL2022 Enterprisewindows 2025 Datacenter SQL2022 Standardwindows 2025 Datacenter SQL2022 Webwindows 2025 Standardwindows 2025 Standard Corewindows 2025 Standard SQL2022 Standardwindows 2025 Standard SQL2022 Web

Response

200virtualMachineLicensingSummary[]successful operation
guestOsFamily
string

Guest Operating System reported by VMware tools

license
KmsLicenseIncludingLegacyEnum

Attached SPLA licensing

ValuesOVHcloud managedunknown or unsupported licenseunlicensed windows guestoswindows 2008 R2 Datacenterwindows 2008 R2 Enterprisewindows 2008 R2 Standardwindows 2008 R2 Webwindows 2012 Datacenterwindows 2012 R2 Datacenterwindows 2012 R2 Standardwindows 2012 R2 Standard SQL2016 Standardwindows 2012 R2 Standard SQL2016 Webwindows 2012 Standardwindows 2016 Datacenterwindows 2016 Standardwindows 2016 Standard SQL2016 Standardwindows 2016 Standard SQL2016 Webwindows 2019 Datacenterwindows 2019 Datacenter Corewindows 2019 Standardwindows 2019 Standard Corewindows 2019 Standard SQL2019 Standardwindows 2019 Standard SQL2019 Webwindows 2019 Standard SQL2022 Standardwindows 2019 Standard SQL2022 Webwindows 2022 Datacenterwindows 2022 Datacenter Corewindows 2022 Datacenter SQL2019 Standardwindows 2022 Datacenter SQL2019 Webwindows 2022 Datacenter SQL2022 Standardwindows 2022 Datacenter SQL2022 Webwindows 2022 Standardwindows 2022 Standard Corewindows 2022 Standard SQL2019 Standardwindows 2022 Standard SQL2019 Webwindows 2022 Standard SQL2022 Standardwindows 2022 Standard SQL2022 Webwindows 2025 Datacenterwindows 2025 Datacenter Corewindows 2025 Datacenter SQL2022 Enterprisewindows 2025 Datacenter SQL2022 Standardwindows 2025 Datacenter SQL2022 Webwindows 2025 Standardwindows 2025 Standard Corewindows 2025 Standard SQL2022 Standardwindows 2025 Standard SQL2022 Web
moRef
string

VMware Managed object Reference identifier

name
string

Virtual machine name

vmId
integer

Virtual machine identifier

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vmLicensed \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "guestOsFamily": "string", "license": "OVHcloud managed", "moRef": "string", "name": "string", "vmId": 0 }]

Disable CARP on a VMProduction

POST
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/disableCarp

Disable CARP on a VM. Disables CARP on the network port of the virtual machine with the given MAC address, on the VM Network portgroup. Returns a task to track progress.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

vmId
required
integer

Id of the virtual machine.

Request body (required)

macAddress
required
string

Mac address of the port to enable Carp

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string, vmId = 0

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/disableCarp \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Enable CARP on a VMProduction

POST
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/enableCarp

Enable CARP on a VM. Enables CARP on the network port of the virtual machine with the given MAC address, on the VM Network portgroup. Returns a task to track progress.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

vmId
required
integer

Id of the virtual machine.

Request body (required)

macAddress
required
string

Mac address of the port to enable Carp

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string, vmId = 0

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/enableCarp \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Remove a managed licenseProduction

POST
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/removeLicense

Remove a managed license. Removes the managed license from the virtual machine. Returns a task to track progress.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

vmId
required
integer

Id of the virtual machine.

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string, vmId = 0

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/removeLicense \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Set a managed licenseProduction

POST
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/setLicense

Set a managed license. Attaches an OVHcloud managed Windows license to the virtual machine. Skip the guest OS family check with bypassGuestOsFamilyCheck. Returns a task to track progress.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

vmId
required
integer

Id of the virtual machine.

Request body (required)

bypassGuestOsFamilyCheck
required
boolean

Bypass compatibility check between managed license and current VMware guest configured OS family

kmsLicense
required
KmsLicenseEnum

License to use

Valueswindows 2016 Datacenterwindows 2016 Standardwindows 2016 Standard SQL2016 Standardwindows 2016 Standard SQL2016 Webwindows 2019 Datacenterwindows 2019 Datacenter Corewindows 2019 Standardwindows 2019 Standard Corewindows 2019 Standard SQL2019 Standardwindows 2019 Standard SQL2019 Webwindows 2019 Standard SQL2022 Standardwindows 2019 Standard SQL2022 Webwindows 2022 Datacenterwindows 2022 Datacenter Corewindows 2022 Datacenter SQL2019 Standardwindows 2022 Datacenter SQL2019 Webwindows 2022 Datacenter SQL2022 Standardwindows 2022 Datacenter SQL2022 Webwindows 2022 Standardwindows 2022 Standard Corewindows 2022 Standard SQL2019 Standardwindows 2022 Standard SQL2019 Webwindows 2022 Standard SQL2022 Standardwindows 2022 Standard SQL2022 Webwindows 2025 Datacenterwindows 2025 Datacenter Corewindows 2025 Datacenter SQL2022 Enterprisewindows 2025 Datacenter SQL2022 Standardwindows 2025 Datacenter SQL2022 Webwindows 2025 Standardwindows 2025 Standard Corewindows 2025 Standard SQL2022 Standardwindows 2025 Standard SQL2022 Web

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string, vmId = 0

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/setLicense \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}